import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FlexLayoutModule } from '@angular/flex-layout';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
// import { ErrorStateMatcher } from '@angular/material/core';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';
import { NgxOtpInputModule } from 'ngx-otp-input';

const MATERIAL_MODULES = [
  FlexLayoutModule,
  MatButtonModule,
  MatFormFieldModule,
  MatIconModule,
  MatInputModule,
  NgxOtpInputModule,
  // ErrorStateMatcher,
];
@NgModule({
  declarations: [],
  imports: [FormsModule, ReactiveFormsModule, CommonModule],
  ...MATERIAL_MODULES,
  exports: [FormsModule, ReactiveFormsModule, ...MATERIAL_MODULES],
})
export class SharedModule {}
